# Uses of Interface
org.gitana.platform.client.application.Email

Packages that use Email
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.support

## Uses of Email in org.gitana.platform.client.application

Classes in org.gitana.platform.client.application that implement Email
Modifier and Type
Class
Description
`class`
`EmailImpl`
Methods in org.gitana.platform.client.application that return Email
Modifier and Type
Method
Description
`Email`
Application.`createEmail()`
`Email`
Application.`createEmail(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Email`
Application.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress)`
`Email`
Application.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
Application.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress)`
`Email`
Application.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
ApplicationImpl.`createEmail()`
`Email`
ApplicationImpl.`createEmail(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, String body, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress)`
`Email`
ApplicationImpl.`createEmail(DomainUser to, String subject, Node node, String attachmentId, String fromEmailAddress, String ccEmailAddresses, String bccEmailAddresses)`
`Email`
Application.`readEmail(String emailId)`
`Email`
ApplicationImpl.`readEmail(String emailId)`
Methods in org.gitana.platform.client.application that return types with arguments of type Email
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Email>`
Application.`listEmails()`
`org.gitana.platform.support.ResultMap<Email>`
Application.`listEmails(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Email>`
ApplicationImpl.`listEmails()`
`org.gitana.platform.support.ResultMap<Email>`
ApplicationImpl.`listEmails(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Email>`
Application.`queryEmails(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Email>`
Application.`queryEmails(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Email>`
ApplicationImpl.`queryEmails(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Email>`
ApplicationImpl.`queryEmails(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.application with parameters of type Email
Modifier and Type
Method
Description
`void`
Application.`deleteEmail(Email email)`
`void`
ApplicationImpl.`deleteEmail(Email email)`
`void`
EmailProvider.`send(Email email)`
`void`
EmailProviderImpl.`send(Email email)`
`void`
Application.`updateEmail(Email email)`
`void`
ApplicationImpl.`updateEmail(Email email)`

## Uses of Email in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Email
Modifier and Type
Method
Description
`Email`
ObjectFactory.`email(Application application, Response response)`
`Email`
ObjectFactoryImpl.`email(Application application, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Email
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Email>`
ObjectFactory.`emails(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Email>`
ObjectFactoryImpl.`emails(Application application, Response response)`